## indi-rtklib 1.0+20220129131520

=== debian/changelog ===
indi-rtklib (1.0+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 16:54:50 +0000

indi-rtklib (1.0-2) unstable; urgency=medium

  * upload sources
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 12 Dec 2021 22:30:07 +0100

indi-rtklib (1.0-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 09 Dec 2021 20:30:07 +0100

## indi-rtklib 1.0+20220611131236

=== debian/changelog ===
indi-rtklib (1.0+20220611131236-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Thorsten Alteholz ]
  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 13:12:46 +0000

## indi-rtklib 1.0+20221222172722

=== CMakeLists.txt ===
########### NexStar Evolution INDI driver ##############
PROJECT(indi_rtklib C CXX)
cmake_minimum_required(VERSION 3.0)

include(GNUInstallDirs)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")

set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/indi/")
set(INDI_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/indi")

find_package(INDI REQUIRED)
find_package(Nova REQUIRED)
find_package(ZLIB REQUIRED)
find_package(Threads REQUIRED)

set(RTKLIB_VERSION_MAJOR 0)
set(RTKLIB_VERSION_MINOR 1)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_rtklib.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_rtklib.xml )

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})
include_directories( ${NOVA_INCLUDE_DIR})

include(CMakeCommon)

add_executable(indi_rtklib rtklib_driver.cpp rtkrcv_parser.c)
target_link_libraries(indi_rtklib ${INDI_LIBRARIES} ${NOVA_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
install(TARGETS indi_rtklib RUNTIME DESTINATION bin )

install( FILES  ${CMAKE_CURRENT_BINARY_DIR}/indi_rtklib.xml DESTINATION ${INDI_DATA_DIR})

=== debian/changelog ===
indi-rtklib (1.0+20221222172722-2) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113030)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:35:32 +0200

indi-rtklib (1.0+20221222172722-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.0

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 22 Dec 2022 17:28:36 +0000

=== debian/control ===
Source: indi-rtklib
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libcfitsio-dev
	, libindi-dev
	, zlib1g-dev
	, libnova-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-rtklib
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-rtklib.git

Package: indi-rtklib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for precise positioning with RTKLIB
 This package provides an INDI driver for precise positioning with
 RTKLIB and such usage of GNSS (global navigation satellite system).
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
